(function(WIN){
  var isOnline = location.host.indexOf('.com') !== -1;
  var domain = '-gx.uban360.com';
  var protocol = location.protocol;
  var staticHost = protocol + '//statics' + domain;
  var apiHost = protocol + '//api' + domain;
  var adminHost = protocol + '//admin' + domain;
  var avatarHost = protocol + '//fs' + domain;
  var webHost = protocol + '//web' + domain;

  WIN._APP_CONFIG = {
    orgType: 18,
    domain: domain,
    name: '八桂彩云',
    province: '广西',
    shortName: '八桂彩云',
    company: '广西移动',
    slogan: '高效办公更轻松',

    apiHost: apiHost,
    webHost: webHost,
    adminHost: adminHost,
    avatarHost: avatarHost,
    staticHost: staticHost,

    logo: staticHost + '/config/logo.png',
    rlogo: staticHost + '/config/rlogo.png',
    favicon: staticHost + '/config/favicon.ico',
    loading: staticHost + '/config/loading.gif',

    busUrl: apiHost + '/bus/1/index.html',
    avatarUrl: avatarHost + '/sfs/avatar?uid=',
    signinUrl: apiHost + '/signin/1/index.html',
    approveUrl: apiHost + '/approve/1/index.html',
    expenseUrl: apiHost + '/expense/1/index.html',
    workreportUrl: apiHost + '/workreport/1/index.html',
    downloadUrl: protocol + '//www' + domain + '/d',
    loginUrl: adminHost + '/power/user/view/login.html',
    weixinShareUrl: apiHost + '/sop/wechat/share/config.json',
    superadminUrl: protocol + '//superadmin.uban360.' + (isOnline ? 'com' : 'net')
  }
})(window);